Qt 5.7 | Qt 3D | C++ Classes | QRenderSettings

Qt 5.7.1 Reference Documentation

# QRenderSettings Class

(Qt3DRender::QRenderSettings)

The QRenderSettings class holds settings related to rendering process and host the active FrameGraph. More...

Header: | #include <QRenderSettings>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderSettings
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Types

enum | RenderPolicy { OnDemand, Always }

## Properties

- activeFrameGraph : Qt3DRender::QFrameGraphNode *
- pickingSettings : Qt3DRender::QPickingSettings * const
- renderPolicy : RenderPolicy

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderSettings(Qt3DCore::QNode *parent = nullptr)
QFrameGraphNode * | activeFrameGraph() const
QPickingSettings * | pickingSettings()
RenderPolicy | renderPolicy() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setActiveFrameGraph(QFrameGraphNode *activeFrameGraph)
void | setRenderPolicy(RenderPolicy renderPolicy)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | activeFrameGraphChanged(QFrameGraphNode *activeFrameGraph)
void | renderPolicyChanged(RenderPolicy renderPolicy)

- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QRenderSettings class holds settings related to rendering process and host the active FrameGraph.

The QRenderSettings component must be set as a component of the scene root entity. It specifies render policy and picking settings, as well as hosts the active FrameGraph.

## Member Type Documentation

### enum QRenderSettings::RenderPolicy

The render policy.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QRenderSettings::OnDemand` | `0` | The FrameGraph is rendered only when something changes.
`Qt3DRender::QRenderSettings::Always` | `1` | The FrameGraph is rendered continuously, even if nothing has changed.

## Property Documentation

### activeFrameGraph : Qt3DRender::QFrameGraphNode *

Holds the currently active FrameGraph.

Access functions:

QFrameGraphNode * | activeFrameGraph() const
void | setActiveFrameGraph(QFrameGraphNode *activeFrameGraph)

Notifier signal:

void | activeFrameGraphChanged(QFrameGraphNode *activeFrameGraph)

### pickingSettings : Qt3DRender::QPickingSettings * const

Holds the current pick settings for the FrameGraph.

Access functions:

QPickingSettings * | pickingSettings()

### renderPolicy : RenderPolicy

Holds the current render policy.

Access functions:

RenderPolicy | renderPolicy() const
void | setRenderPolicy(RenderPolicy renderPolicy)

Notifier signal:

void | renderPolicyChanged(RenderPolicy renderPolicy)

## Member Function Documentation

### QRenderSettings::QRenderSettings(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QRenderSettings.